import { z } from 'zod';
/**
 * When the payload is too large to be sent in a single message, it is offloaded to a storage service and a pointer to the offloaded payload is sent instead.
 * This schema represents the payload that is sent in place of the original payload.
 */
export const OFFLOADED_PAYLOAD_POINTER_PAYLOAD_SCHEMA = z
    .object({
    offloadedPayloadPointer: z.string().min(1),
    offloadedPayloadSize: z.number().int().positive(),
})
    // Pass-through allows to pass message ID, type, timestamp and message-deduplication-related fields that are using dynamic keys.
    .passthrough();
export function isOffloadedPayloadPointerPayload(value) {
    return value.offloadedPayloadPointer !== undefined;
}
//# sourceMappingURL=offloadedPayloadMessageSchemas.js.map